#!/bin/perl -w
use strict;
use warnings;

sub help{
	if(grep {$_ eq "-h"} @ARGV){
		print "##############################################################################################################\n";
		print "	This script can be used to prepare genemap.table file used in OPPs_identify.sh as Step2.\n";
		print "	n-way[2way-n].genemap.table: 3 columns including segmentID, ref_geneID, spec_geneID.\n";
		print "	Usage: perl Step2.pl ref_geneset.table spec_geneset.table > ref_spec_genemap.table.\n";
		print "	Input: ref_geneset.table, spec_geneset.table\n";
		print "	Output: ref_spec_genemap.table\n";
		print "###############################################################################################################\n";
        }
	}

&help();

############################################################################
# Step2 used in OPPs_identify.sh: For two species (with cucumber as ref),  #
#       select the genes which located in the same collinear segment       #
############################################################################

my($ref_geneset, $spec_geneset)=@ARGV;
&segment_select($ref_geneset, $spec_geneset);





sub geneset2genemap{
#####################
#file: geneset.file #      
#####################
(my $ref_geneset, my $spec_geneset)=@_;
my %hash1; my %hash2; # key: multipliconID; value: proID1|proID2
open IN, $file1;
while (<IN>){
	chomp($_);
	my @all=split /\t/, $_;
	if (!exists $hash1{$all[1]}){
		$hash1{$all[1]}=$all[0];
	}else{
		$hash1{$all[1]}=$hash1{$all[1]}."\|".$all[0];
	}
}
close IN;
open IN, $file2;
while(<IN>){
	chomp($_);
	my @all=split /\t/, $_;
	if (!exists $hash2{$all[1]}){
		$hash2{$all[1]}=$all[0];
	}else{
		$hash2{$all[1]}=$hash2{$all[1]}."\|".$all[0];
	}
}
close IN;
foreach my $i(keys%hash1){
	foreach my $j(keys%hash2){
		if ($i eq $j){
			print "$i\t$hash1{$i}\t$hash2{$j}\n";
			}
		}
	}
}



