#!/bin/perl -w
use strict;
use warnings;

sub help{
	if(grep {$_ eq "-h"} @ARGV){
		print "##############################################################################################################\n";
		print "	This script can be used to prepare good.genemap file used in OPPs_identify.sh as Step3.1 \n";
		print "	good.genemap: 3 columns including segmentID, ref_geneID, spec_geneID \n";
		print "	Usage: perl Step3.1.pl ref_spec.genemap ref_spec.blast blast_evalue_cutoff > ref_spec_good.genemap \n";
		print "	Input: (1) ref_spec.genemap; (2) ref_spec.blast; (3) blast_evalue_cutoff \n";
		print "	Output: ref_spec_good.genemap with three columns as as segmentID, ref_geneID and spec_geneID \n";
		print "###############################################################################################################\n";
		}
	}

&help();



#############################################################################################################################################################
#Step3 used in OPPs_identify.sh: For each pair of genes located in the same segment, if they share no similarity (blast E-value), they will be filtered out #
#############################################################################################################################################################
my ($genemap,$blast_file, $blast_evalue_cutoff)=@ARGV;
&genemap_blast_filter($genemap,$blast_file, $blast_evalue_cutoff);




sub genemap_blast_filter{
################################################
#Input: genemap filter cutoff: e-value 10E-4   #
################################################
(my $genemap, my $blast_file, my $blast_evalue_cutoff)=@_;
my %blast_hash;
open IN, $blast_file;
while (<IN>){
	my @all=split /\t/, $_;
	$blast_hash{"$all[0]\t$all[1]"}=$all[10]; # e-value
	}
close IN;
open IN, $file;
while (<IN>){
	chomp($_);
	my @all=split /\t/, $_;
	my @i=split /\|/, $all[1];
	my @j=split /\|/, $all[2];
	foreach my $ia(@i){
		foreach my $ja(@j){
			foreach my $b(keys%blast_hash){
				if ($b =~/$ia/ and $b=~/$ja/ and ($blast_hash{$b} < $e_value)){
					print "$all[0]\t$ia\t$ja\n";
					}
				}
	 		}
  		}
	}
}















