#!/bin/perl -w
use strict;
use warnings;

sub help{
	if(grep {$_ eq "-h"} @ARGV){
		print "####################################################################################################################\n";
		print "	This script can be used to collect the nway[2way-n] information for each OPPs used in OPPs_identify.sh as Step3.2 \n";
		print "	n-way[2way-n]_all.opps: 5 columns including ref_geneID, spec_geneID, spec, n-way[2way-n], segmentID \n";
		print "	Usage: perl Step3.2.pl ref_spec_n-way[2way-n]_good.genemap spec n-way[2way-n] > n-way[2way-n]_all.opps \n";
		print "	Input: [1] ref_spec_n-way[2way-n]_good.genemap;[2] spec; [3] n-way[2way-n] \n";
		print "	Output: n-way[2way-n]_all.opps \n";
		print "	output with 5 Columns as: (1)ref_geneID;(2)spec_geneID;(3)spec;(4)n-way(2way-n);(5)segmentID \n";
		print "###############################################################################################################\n";
        }
}

&help();


my ($ref_spec_nway_good_genemap, $spec, $nway)=@ARGV;
&collect_way_info($ref_spec_nway_good_genemap, $spec, $nway);


sub collect_way_info{
my ($genemap, $spec, $nway)=@_;
open IN, $genemap;
while (<IN>){
	chomp($_);
	my @all=split /\t/, $_;
	$all[0]=~s/multipliconID\=//;
	print "$all[1]\t$all[2]\t$spec\t$nway\t$all[0]\n";
	}
close IN;
}
